Subject: [BUG 2.41.0] t/lib-httpd/apache.conf incompatible with RHEL/CentOS 7

From: Todd Zullinger <[email-masked]>
Date: Wed, 17 May 2023 15:06:18 -0400

After applying the imap-send.c patch¹ on RHEL/CentOS 7, I
noticed the http tests fail because the Apache httpd config
is not valid with httpd-2.4.6² on CentOS 7.

The tests fail with:

    Parse errors: No plan found in TAP output

The problem is that CGIPassAuth, added in 988aad99b4 (t5563:
add tests for basic and anoymous HTTP access, 2023-02-27) is
not supported by httpd < 2.4.13:

    Starting httpd on port 10410
    [Wed May 17 17:06:52.184409 2023] [core:warn] [pid 477886] AH00111: Config variable ${LIB_HTTPD_SVN} is not defined
    [Wed May 17 17:06:52.184495 2023] [core:warn] [pid 477886] AH00111: Config variable ${LIB_HTTPD_SVNPATH} is not defined
    AH00526: Syntax error on line 149 of /builddir/build/BUILD/git-2.41.0.rc0/t/lib-httpd/apache.conf:
    Invalid command 'CGIPassAuth', perhaps misspelled or defined by a module not included in the server configuration
    error: web server setup failed

Since edd060dc84 (t/lib-httpd: bump required apache version
to 2.4, 2023-02-01), we require httpd-2.4 and no longer have
any <IfVersion> conditions.  I'm not sure if this a reason
to add some again (nor am I certain if httpd's IfVersion
supports minor versions).

Perhaps there's a more elegant way to fix this?  (I haven't
thought of anything in patch form yet, apologies.)

I'd like to still build git for CentOS 7 and not skip all
the http tests, but if it's time to say it is not worth
supporting, I can understand.  RHEL/CentOS 7 has a little
over a year left before it is EOL³.

¹ <[email-masked]>
² https://httpd.apache.org/docs/2.4/mod/core.html#cgipassauth
³ https://blog.centos.org/2023/04/end-dates-are-coming-for-centos-stream-8-and-centos-linux-7/#centos-linux-7-end-of-life-june-30-2024

Thanks,

-- 
Todd